#include "vision.h"

std::vector<int> getVisionPattern1d() {
    return { 1, 1, 1, 2, 1, 3 };
}

int getMove1d(std::vector<int> v) {
    if (v.size() == 3) return v[2] != 1 ? 2 : 0;
    if (v.size() == 5) return v[4] == 3 ? 4 : 0;
    if (v.size() == 7) return v[1] == 2 ? 6 : 0;
    return 0;
}

std::vector<std::vector<int>> getVisionPattern2d() {
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v) {
    return {0, 0};
}
